Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required
Minimum string length: 1
Example:

"agent_abc123"

threadId
string
required
Minimum string length: 1
Example:

"thread_abc123"

Query Parameters

cursor
string

Opaque pagination cursor returned by a previous request.

Example:

"cursor_abc123"

events
string

Comma-separated event type filter.

Example:

"thread.created,thread.completed"

history
enum<string>

When true, starts from the beginning of the retained buffer.

Available options:
true,
false
Example:

"true"

limit
string

Maximum number of items to return. Defaults to 20 and preserves parseInt semantics.

Example:

"20"

Response

Thread events page.

cursor
string | null
required
events
object[]
required
hasMore
boolean
required